# Project

open class Project : XmlPersistableConfigurationObject

Represents the customizable elements of an eclipse project file. (via XML hooks everything is customizable).

## Constructors

Project
Link copied to clipboard
constructor(xmlTransformer: XmlTransformer)

## Properties

buildCommands
Link copied to clipboard
open var buildCommands: List<BuildCommand>
comment
Link copied to clipboard
open var comment: String
linkedResources
Link copied to clipboard
open var linkedResources: Set<Link>
name
Link copied to clipboard
open var name: String
natures
Link copied to clipboard
open var natures: List<String>
PROJECT_FILE_NAME
Link copied to clipboard
val PROJECT_FILE_NAME: String = ".project"
referencedProjects
Link copied to clipboard
open var referencedProjects: Set<String>
resourceFilters
Link copied to clipboard
open var resourceFilters: Set<ResourceFilter>
xml
Link copied to clipboard
open val xml: Node

## Functions

configure
Link copied to clipboard
open fun configure(eclipseProject: EclipseProject): Any
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
findFirstChildNamed
Link copied to clipboard
open fun findFirstChildNamed(root: @Nullable Node, name: String): @Nullable Node
findFirstChildWithAttributeValue
Link copied to clipboard
open fun findFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): @Nullable Node
findOrCreateFirstChildNamed
Link copied to clipboard
open fun findOrCreateFirstChildNamed(root: Node, name: String): Node
findOrCreateFirstChildWithAttributeValue
Link copied to clipboard
open fun findOrCreateFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): Node
hashCode
Link copied to clipboard
open fun hashCode(): Int
load
Link copied to clipboard
open fun load(inputStream: InputStream)
loadDefaults
Link copied to clipboard
open fun loadDefaults()
store
Link copied to clipboard
open fun store(outputStream: OutputStream)
toString
Link copied to clipboard
open fun toString(): String
transformAction
Link copied to clipboard
open fun transformAction(action: Closure)